#
#		Python GUI - Radio groups - Macintosh
#

from GRadioGroups import RadioGroup as GRadioGroup

class RadioGroup(GRadioGroup):

    def _value_changed(self):
        for item in self._items:
            item._update_state()

    def _item_added(self, item):
        item._update_state()
    
    def _item_removed(self, item):
        item._update_state()
